Page MenuHomePhabricator

Implement getting the thumbnails in the PageImages extension
Closed, ResolvedPublic3 Estimated Story Points

Description

Motivation

After T250144 is done, the getting of real thumbnail should be implemented.
The most appropriate is PageImages but might other options are possible. So it should be defined later.

Expected Results

  • Hook 'SearchResultProvideThumbnails' introduced in T250144, should be implemented
  • The hook should return thumbnails for a given list of pages (or null if no thumb for the page)
  • Tests should cover changes properly
  • Thumbnail should be 200x200 px (changed from 512x512)
  • Thumbnail's size should be optional.

Event Timeline

Peter.ovchyn updated the task description. (Show Details)Apr 14 2020, 6:23 PM
Peter.ovchyn set the point value for this task to 3.

@Peter.ovchyn: Hi, which extension codebase is this about?

Peter.ovchyn updated the task description. (Show Details)Apr 14 2020, 6:48 PM
Peter.ovchyn added a project: PageImages.
Aklapper renamed this task from Implement getting the thumbnails in extension to Implement getting the thumbnails in the PageImages extension.Apr 15 2020, 9:17 PM
Peter.ovchyn updated the task description. (Show Details)Apr 20 2020, 9:54 AM

Change 591050 had a related patch set uploaded (by Peter.ovchyn; owner: Peter.ovchyn):
[mediawiki/extensions/PageImages@master] WIP! rest: Implement SearchResultProvideThumbnail hook

https://gerrit.wikimedia.org/r/591050

Peter.ovchyn updated the task description. (Show Details)May 6 2020, 5:38 PM
Peter.ovchyn updated the task description. (Show Details)May 6 2020, 5:41 PM

Change 591050 merged by jenkins-bot:
[mediawiki/extensions/PageImages@master] rest: Implement SearchResultProvideThumbnail hook

https://gerrit.wikimedia.org/r/591050

@Peter.ovchyn so, I'm seeing one error in the output. The size property should be null if we don't know the size. It's coming out 0. Could you change that?

@eprodromou I think this was fixed by T252128 if yes can we close this task?

Helga_sf triaged this task as High priority.May 11 2020, 10:37 AM

@WDoranWMF, @eprodromou,

I think we can this task as this issue was a part of the story T245673 (which should be accepted/closed by Evan separately).

Naike closed this task as Resolved.May 22 2020, 7:11 AM
Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:40 PM